export default defineNuxtPlugin({
	name: "set finish",
	setup(nuxt) {
		console.log("setup start");
		let loaded: Ref<boolean> = ref(false);
		nuxt.hook("page:finish", (comp) => {
			console.log("setup end");
			loaded.value = true;
		});
		return {
			provide: {
				loaded,
			},
		};
	},
});
